<?php

use Slim\Http\Request;
use Slim\Http\Response;

// Routes

//$app->get('/[{name}]', function (Request $request, Response $response, array $args) {
$app->get('/', function (Request $request, Response $response, array $args) {
    // Sample log message
    $this->logger->info("GDDWorkshop '/' route");

    // Render index view
    return $this->renderer->render($response, 'index.html', $args);
});

$app->get('/registration', function (Request $request, Response $response, array $args) {
    // Sample log message
    $this->logger->info("GDDWorkshop '/registrtion' route");

    // Render index view
    return $this->renderer->render($response, 'registration.html', $args);
});


$app->get('/participants', function (Request $request, Response $response, array $args) {
    // Sample log message
    $this->logger->info("GDDWorkshop '/participants' route");
 	$db = new DB($this->db); 
 	$data = $db->getAll();

    // Render index view
    return $this->renderer->render($response, 'participants.html', ['registros' => $data]);
});


$app->get('/committess', function (Request $request, Response $response, array $args) {
    // Sample log message
    $this->logger->info("GDDWorkshop '/committess' route");

    // Render index view
    return $this->renderer->render($response, 'committess.html', $args);
});

/*
$mw = function ($request, $response, $next) {
    $response->getBody()->write('BEFORE');
    $response = $next($request, $response);
    $response->getBody()->write('AFTER');
 
    return $response;
};*/
 
// API ROUTES
$app->group('/api', function($app){

	$app->get("/test", function(Request $request, Response $response, array $args) {
		$this->logger->info("GDDWorkshop '/api/test' route");
		return var_dump($request);

	});

	$app->post('/register', function (Request $request, Response $response, array $args) {
	    // Sample log message
	    //$this->logger->debug(var_dump($request->getParsedBody()));
	    $db = new DB($this->db);    
	    $data = $request->getParsedBody();

	    try{
	    	$db->insert($data);
	    }
	    catch (Exception $e){
			$this->logger->debug($e->getMessage());
			return $e->getMessage(); 	
	    }

	    $newresponse = $response->withJson($data);
	    return $newresponse;

	    
	});

});